# Building a Prod-Ready, Robust Shiny Application.
# 
# Each step is optional. 
# 
# 1 - On init
# 
## 1.1 - Fill the descripion
## 
## Add information about the package that will contain your app

golem::fill_desc(
  pkg_name = "farmView", # The Name of the package containing the App 
  pkg_title = "Aplicativo para visão da fazenda retrospectiva, atuale prospectiva" , # The Title of the package containing the App 
  pkg_description = "Aplicação shiny contendo base de dados Inttegra e ferramentas para comparações fazenda a fazenda no tempo, por índices e benchmarks respectivos.", # The Description of the package containing the App 
  author_first_name = "Luigi Cavalcanti", # Your First Name
  author_last_name = "Lapidata",  # Your Last Name
  author_email = "luigicavalcanti22@gmail.com",      # Your Email
  repo_url = NULL)      # The (optional) URL of the GitHub Repo

## 1.2 - Set common Files 
## 
## If you want to use the MIT licence, README, code of conduct, lifecycle badge, and news

usethis::use_mit_license(name = "Lapidata")  # You can set another licence here
usethis::use_readme_rmd()
usethis::use_code_of_conduct()
usethis::use_lifecycle_badge("Experimental")
usethis::use_news_md()


## 1.4 - Init Tests
## 
## Create a template for tests

golem::use_recommended_tests()

# You're now set! 
# go to dev/02_dev.R
rstudioapi::navigateToFile("dev/02_dev.R")

